Bug 819272 - missing requires: python-paramiko
missing requires: python-paramiko
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: duplicity (Show other bugs)
rawhide
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
: 847412 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-06 01:51 EDT by Chris Schanzle
Modified: 2014-01-29 22:47 EST (History)
9 users (show)

See Also:
Fixed In Version: duplicity-0.6.22-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-27 21:02:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2012-05-06 01:51:08 EDT
Description of problem:

without python-paramiko installed, using duplicity with scp/ssh/sftp backend dies with:


duplicity --no-encryption tmp/specs scp://host//dev/shm/

Import of duplicity.backends.sshbackend Failed: No module named paramiko
UnsupportedBackendScheme: scheme not supported in url: scp://host//dev/shm/


Version-Release number of selected component (if applicable):
duplicity-0.6.18-1.fc16.x86_64
Comment 1 Ryan M 2012-05-07 10:58:51 EDT
I'm seeing the same error on F15 with package duplicity-0.6.18-1.fc15.x86_64.

Additionally, after installing the python-paramiko package, I got the following error:

BackendException: ssh connection to [host redacted]:22 failed: No authentication methods available

This is because the new paramiko SSH backend does not read the config in ~/.ssh/config, where I have specified a different RSA ID for the backup host (it is not ~/.ssh/id_rsa as paramiko expects).  I was able to work around this by explicitly specifying --ssh-options="-oIdentityFile=/path/to/file" on the Duplicity command line.
Comment 2 niklas.laxstrom+bro@gmail.com 2012-05-31 05:17:27 EDT
Same here on F16. python-paramiko was not pulled in automatically. After installing it manually, my regular command still didn't work because it doesn't read my host alias from ~/.ssh/config.
Comment 3 Michal Ingeli 2012-08-21 03:49:34 EDT
*** Bug 847412 has been marked as a duplicate of this bug. ***
Comment 4 joshua 2012-11-02 14:06:45 EDT
Still a problem in Fedora 17 and 18
Comment 5 Fedora End Of Life 2013-12-21 03:35:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora Update System 2013-12-25 18:58:30 EST
duplicity-0.6.22-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/duplicity-0.6.22-1.fc20
Comment 7 Fedora Update System 2013-12-25 18:59:27 EST
duplicity-0.6.22-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/duplicity-0.6.22-1.fc19
Comment 8 Fedora Update System 2013-12-25 19:00:24 EST
duplicity-0.6.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/duplicity-0.6.22-1.fc18
Comment 9 Fedora Admin XMLRPC Client 2013-12-26 11:54:47 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Update System 2013-12-27 21:02:34 EST
duplicity-0.6.22-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-27 21:05:36 EST
duplicity-0.6.22-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-12-27 21:05:55 EST
duplicity-0.6.22-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Tom Shield 2014-01-29 22:04:23 EST
I had to manually install (with yum, paramiko requires python-crypto)

python-dropbox
python-paramiko

to get duplicity to run in F20 (it may be I only needed paramiko, as I installed python-dropbox first and that did not fix it), and I'm still getting the error (but duplicity runs) 

Import of duplicity.backends.dpbxbackend Failed: No module named pkg_resources

here's what I have installed: Fedora 20 x86_64:

[root@taylor ~]# rpm -qa | grep duplicity
duplicity-0.6.22-1.fc20.x86_64

and I see no sign of the dependency for paramiko:

[root@taylor ~]# rpm -qR duplicity
/usr/bin/python
gnupg >= 1.0.6
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libpthread.so.0()(64bit)
libpython2.7.so.1.0()(64bit)
librsync.so.1()(64bit)
ncftp >= 3.1.9
openssh-clients
python(abi) = 2.7
python-GnuPGInterface >= 0.3.2
python-boto >= 0.9d
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rsync
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1

my fedora 18 boxes are complaining about the dropbox module missing, but duplicity still runs.  And, I'm not trying to use dropbox.

Here's the same output from an F18 box:

[root@telstar ~]# rpm -qa | grep duplicity
duplicity-0.6.22-1.fc18.x86_64
[root@telstar ~]# rpm -qR duplicity
/usr/bin/python
gnupg >= 1.0.6
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libpthread.so.0()(64bit)
libpython2.7.so.1.0()(64bit)
librsync.so.1()(64bit)
ncftp >= 3.1.9
openssh-clients
python(abi) = 2.7
python-GnuPGInterface >= 0.3.2
python-boto >= 0.9d
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rsync
rtld(GNU_HASH)
rpmlib(PayloadIsXz) <= 5.2-1
Comment 14 Rahul Sundaram 2014-01-29 22:09:27 EST
The latest duplicity was still in updates-testing.  I just marked it stable.  You can either get it from updates-testing or wait a day and get it from stable.  Not for F18 though since that release is EOL
Comment 15 Tom Shield 2014-01-29 22:18:38 EST
Ok, I was going by the bug header that says:

Fixed In Version:	duplicity-0.6.22-1.fc18
Comment 16 Rahul Sundaram 2014-01-29 22:47:01 EST
That update got obsoleted by a newer update I pushed out for fixing another issue.  If you have the same problem with the latest update from updates-testing repo, let me know

Note You need to log in before you can comment on or make changes to this bug.